#include "cpphy_types.h"

cpmac_product_struct cpmac_products = {
    42,
    {
        { /* Fritz_Box_3270 */
            "137 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_TANTOS,
                    CPMAC_PHY_MODE_7170,
                    0x6f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7270_16 */
            "139 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_TANTOS,
                    CPMAC_PHY_MODE_7170,
                    0x6f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7270_AnnexA */
            "141 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_TANTOS,
                    CPMAC_PHY_MODE_7170,
                    0x6f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7240 */
            "144 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8216,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7270plus */
            "145 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8216,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7390 */
            "156 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    15,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_Puma */
            "157 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7270v4 */
            "167 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8226,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_3270v3 */
            "168 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8216,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_503avm */
            "170 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8216,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7340 */
            "171 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_VITESSE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    15,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_VITESSE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7320 */
            "172 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_Neon */
            "173 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_3370 */
            "175 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_6312 */
            "176 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_11G,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    28,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_6840 */
            "177 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_7322 */
            "179 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW182 */
            "182 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_11G,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    28,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW185 */
            "185 ",
            1,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW187 */
            "187 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW188 */
            "188 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW189 */
            "189 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW191 */
            "191 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8327,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    10,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW193 */
            "193 ",
            1,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW196 */
            "196 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW197 */
            "197 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8216,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    26,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW202 */
            "202 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW203 */
            "203 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW209 */
            "209 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW212 */
            "212 ",
            1,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW213a */
            "213a ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW213x */
            "213x ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW218 */
            "218 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW223 */
            "223 ",
            1,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW224 */
            "224 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8327,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    10,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW228 */
            "228 ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8327,
                    CPMAC_PHY_MODE_AR8216,
                    0x1f,
                    10,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW231a */
            "231a ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_HW231x */
            "231x ",
            2,
            {
                {
                    CPMAC_PHY_TYPE_AR8316,
                    CPMAC_PHY_MODE_MAGPIE,
                    0x3f,
                    28,
                    0x20
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        },
        { /* Fritz_Box_DECT_Handgeraete */
            "999 ",
            0,
            {
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                },
                {
                    CPMAC_PHY_TYPE_NONE,
                    CPMAC_PHY_MODE_DEFAULT,
                    0x1,
                    0xffff,
                    0x0
                }
            }
        }
    }
};
