/* Copyright (C) 2006 Ikanos Communications
 * See IKANOS_PROP_LICENSE.txt for license information. */

// ===========================================================================
//
// File name    : $RCSfile: buftrans.h,v $
// Description  : This describes structures  and API fucntions related to APs 
// ===========================================================================

#ifndef _BUFTRANSHDR_H_
#define _BUFTRANSHDR_H_

#define allocateApBuf()  (apPreHeader_t *)allocateCluster2048()
#define deallocateApBuf(p)  (apPreHeader_t *)deallocateCluster2048(p)

#define MAX_APBUF_SIZE  AP_BUFFER_SIZE
#define PREHDR_SIZE     sizeof(apPreHeader_t)
#define APBUF_DATA(p)               ((char *)p + p->start)
#define MAX_START_OFFSET	512

extern void *translateApbuf2Mbuf(apPreHeader_t *);
extern struct apPreHeader_s *translateMbuf2Apbuf(void *, unsigned char );

#endif /*_BUFTRANSHDR_H_ */
